import { GraphQLCofigResult } from './types';
import { GraphQLProjectConfig } from './project-config';
import { GraphQLExtensionDeclaration, GraphQLExtensionsRegistry } from './extension';
interface LoadConfigOptions {
    filepath?: string;
    rootDir?: string;
    extensions?: GraphQLExtensionDeclaration[];
    throwOnMissing?: boolean;
    throwOnEmpty?: boolean;
}
export declare function loadConfig({ filepath, rootDir, extensions, throwOnMissing, throwOnEmpty, }: LoadConfigOptions): Promise<GraphQLConfig>;
export declare class GraphQLConfig {
    private readonly _rawConfig;
    readonly filepath: string;
    readonly dirpath: string;
    readonly projects: {
        [name: string]: GraphQLProjectConfig;
    };
    readonly extensions: GraphQLExtensionsRegistry;
    constructor(raw: GraphQLCofigResult, extensions: GraphQLExtensionDeclaration[]);
    getProject(name?: string): GraphQLProjectConfig | never;
    getProjectForFile(filepath: string): GraphQLProjectConfig | never;
    getDefault(): GraphQLProjectConfig | never;
}
export {};
//# sourceMappingURL=config.d.ts.map