import { Source, Loader } from '@graphql-toolkit/common';
import { UnnormalizedTypeDefPointer, LoadTypedefsOptions } from '@graphql-toolkit/core';
import { GraphQLSchema } from 'graphql';
export declare class LoadersRegistry {
    private _loaders;
    private readonly cwd;
    constructor({ cwd }: {
        cwd: string;
    });
    register(loader: Loader): void;
    loadTypeDefs(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], options?: Partial<LoadTypedefsOptions>): Promise<Source[]>;
    loadDocuments(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], options?: Partial<LoadTypedefsOptions>): Promise<Source[]>;
    loadSchema(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], options?: Partial<LoadTypedefsOptions>): Promise<GraphQLSchema>;
}
//# sourceMappingURL=loaders.d.ts.map