import { GraphQLSchema, DocumentNode } from 'graphql';
import { Source } from '@graphql-toolkit/common';
import { GraphQLExtensionsRegistry } from './extension';
import { IExtensions, IGraphQLProject } from './types';
import { UnnormalizedTypeDefPointer } from '@graphql-toolkit/core';
export declare class GraphQLProjectConfig {
    readonly schema: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[];
    readonly documents?: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[];
    readonly include?: string | string[];
    readonly exclude?: string | string[];
    readonly extensions: IExtensions;
    readonly filepath: string;
    readonly dirpath: string;
    readonly name: string;
    private readonly _extensionsRegistry;
    constructor({ filepath, name, config, extensionsRegistry, }: {
        filepath: string;
        name: string;
        config: IGraphQLProject;
        extensionsRegistry: GraphQLExtensionsRegistry;
    });
    hasExtension(name: string): boolean;
    extension<T = any>(name: string): T;
    getSchema(): Promise<GraphQLSchema>;
    getSchema(out: 'DocumentNode'): Promise<DocumentNode>;
    getSchema(out: 'GraphQLSchema'): Promise<GraphQLSchema>;
    getSchema(out: 'string'): Promise<string>;
    getDocuments(): Promise<Source[]>;
    loadSchema(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[]): Promise<GraphQLSchema>;
    loadSchema(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], out: 'string'): Promise<GraphQLSchema>;
    loadSchema(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], out: 'DocumentNode'): Promise<DocumentNode>;
    loadSchema(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], out: 'GraphQLSchema'): Promise<GraphQLSchema>;
    loadDocuments(pointer: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[]): Promise<Source[]>;
    match(filepath: string): boolean;
}
//# sourceMappingURL=project-config.d.ts.map